org.apache.mina.example.sumup.codec

## Class Constants

- java.lang.Object
- - org.apache.mina.example.sumup.codec.Constants

-     public class Constants
      extends Object

  Provides SumUp protocol constants.
  Author:
    Apache MINA Project

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ADD`
    `static int` | `ADD_BODY_LEN`
    `static int` | `BODY_LEN`
    `static int` | `HEADER_LEN`
    `static int` | `RESULT`
    `static int` | `RESULT_CODE_LEN`
    `static int` | `RESULT_ERROR`
    `static int` | `RESULT_OK`
    `static int` | `RESULT_VALUE_LEN`
    `static int` | `SEQUENCE_LEN`
    `static int` | `TYPE_LEN`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_LEN

          public static final int TYPE_LEN

      See Also:
        Constant Field Values

    - #### SEQUENCE_LEN

          public static final int SEQUENCE_LEN

      See Also:
        Constant Field Values

    - #### HEADER_LEN

          public static final int HEADER_LEN

      See Also:
        Constant Field Values

    - #### BODY_LEN

          public static final int BODY_LEN

      See Also:
        Constant Field Values

    - #### RESULT

          public static final int RESULT

      See Also:
        Constant Field Values

    - #### ADD

          public static final int ADD

      See Also:
        Constant Field Values

    - #### RESULT_CODE_LEN

          public static final int RESULT_CODE_LEN

      See Also:
        Constant Field Values

    - #### RESULT_VALUE_LEN

          public static final int RESULT_VALUE_LEN

      See Also:
        Constant Field Values

    - #### ADD_BODY_LEN

          public static final int ADD_BODY_LEN

      See Also:
        Constant Field Values

    - #### RESULT_OK

          public static final int RESULT_OK

      See Also:
        Constant Field Values

    - #### RESULT_ERROR

          public static final int RESULT_ERROR

      See Also:
        Constant Field Values

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.